
Redmine - Feature #4831

mobile java implementation of redmine API

2010-02-13 05:41 - oliver stieber

Status: Closed Start date: 2010-02-13

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Hi,

This ticket is to implement a mobile java implementation of the redmine API so that mobile phones that have java on them can all use

a common module to implement a target client.

I'm more than willing to write this given a little assistance.

Related issues:

Has duplicate Redmine - Feature #4834: Java implementation of redmine API Closed 2010-02-13

History

#1 - 2010-02-13 10:22 - Jean-Philippe Lang

- Category set to REST API

#2 - 2010-07-27 23:04 - Alex Last

I have an initial implementation of Java API for Redmine, which I use in my application http://code.google.com/p/redmine-connect/

This API is definitely not complete, but it serves its purpose for me and you're welcome to improve it if you want.

Note: I'm using Java SE. Haven't used Java ME in a looooong time, so don't even remember if you could reuse that code in Java ME without any

changes. I'd expect any reasonable smartphone to have regular Java SE anyway.

#3 - 2010-08-01 07:46 - oliver stieber

cool, I will take a look at this shortly.

I've been trying to get myself up and running again, after just about recovering from 8-9 months of discontinuation syndrome after stopping taking

some medication that lowered my dopamine levels for around 5 years when I have ADD/ADHD and should have been on medication to raise them.

The result of stopping them was basically 7.5 months of dopamine psychosis!, still in the recovery process as the meds basically lobotomized me for

the past 5.5 years and my brain is now starting to work more like it was working previously, but different bits are working in different ways and

recovering at different times so I'm a bit all over the place!

I need Redmine to manage/organize my life (and my partners who has a memory like a goldfish and worse at getting things done and organizing

things than I was when I was on the medication!!).

Suffice to say, it's one serious itch I've got to scratch. A friend is going to do a bit of PA work for me, and I have some other friends who have

volunteered to help me get a charity and company up and running. So, I want a highly efficient, accessibly, easy to use and tightly integrated, real

time, on the move, 'project management' tool to use to get this done, and Redmine is by far the closest FOSS tool I've found.

expect me to be sending in patches and writing plugins pretty soon. (I have a few computers to get working properly, my PA's Internet and integration

into my home systems to sort out, and my T-Mobile G1 android phone to fix first.) After that I plan on intergrating Redmine with all the phones that my

various assistants have as possible and also with the KDE desktop as I go round convincing everyone I know to switch to Linux + KDE 4.4+, so the

people assisting me are pretty much all running it.

I believe that Plasma widgets and the like can be written on-top of a Java API.

#4 - 2010-12-26 01:53 - Alex Last

The project I mentioned above has moved to another website. Unfortunately, I can't delete the old links here.

Here's the download page: http://www.taskadapter.com/download

It's a commercial software with support, documentation and samples. New versions will be released approximately every 2 weeks.

#5 - 2011-02-25 21:53 - Alex Last

- Status changed from New to Resolved

- % Done changed from 0 to 100
http://code.google.com/p/redmine-connect/
http://www.taskadapter.com/download


I think this ticker can be closed as a duplicate of #4834

#6 - 2011-02-25 21:54 - Alex Last

*ticket

#7 - 2011-02-26 17:13 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Duplicate

So be it.
